View Issue Details

IDProjectCategoryView StatusLast Update
0001857Industrial-Craft²machinespublic2016-08-04 16:19
ReporterXiaminouAssigned ToAroma1997 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in VersionBuilds for MC 1.9.x 
Summary0001857: Machines randomly turn into "Invalid" blocks
DescriptionAll my machines randomly turn into "Invalid" blocks when I look at them and mess up my inventory when I try to access them
Steps To Reproduce1. Look at the machines
TagsNo tags attached.
Minecraft Version

Relationships

has duplicate 0001909 resolvedAroma1997 ic2 machines glitch out when in range of Runes-of-Wizardry Rune of the Rabbit Hole 
related to 0001860 resolvedAroma1997 Using a wooden wrench on the machine. 
related to 0001856 resolvedAroma1997 The client can not display machines in the reactor. After the time is changed to an unknown structure. 
related to 0001861 resolvedAroma1997 Changing the structure of the charge pad and cables 
related to 0001844 resolvedAroma1997 cable change to another block when use wrench on cable 

Activities

Xiaminou

2016-04-18 13:15

reporter  

2016-04-18_15.07.59.png (945,127 bytes)

Xiaminou

2016-04-18 13:17

reporter   ~0004461

Rejoining the server fixes it, but it's only a matter of second before it bugs again.

Xiaminou

2016-04-18 13:31

reporter   ~0004462

https://youtu.be/_RagOwes8iE

Xiaminou

2016-04-18 13:33

reporter   ~0004463

Last edited: 2016-04-18 13:35

View 2 revisions

Client Log: https://drive.google.com/open?id=0BxQWn9jKBIAJZEpSaEpocERuMlU

estebes

2016-04-18 14:26

developer   ~0004464

It is a client side bug. when it happens simply reconnect. It is not an easy thing to fix.

Xiaminou

2016-04-18 14:30

reporter   ~0004465

as I said, it only takes a few second until it bugs, so reconnecting isn't really an option.

Hunterz

2016-04-25 06:10

reporter   ~0004486

not only reconnect fixing this issue, try to teleport long location(unload chunks), thne teleport back(load chunks) - its same like reconnecting

Xiaminou

2016-04-30 13:14

reporter   ~0004487

Any progress on tracking that glitch?
I have noticed on my end that it happens per chunk and it seems to have to do with particles, or at least something in my farm:
http://i.imgur.com/EK1B9ZE.jpg
when it's on machine almost instantly turn into "invalid block" when it's off they're fine.

oitsjustjose

2016-05-07 15:15

reporter   ~0004490

Yeah, I've been getting this too. For me, it happens on nearby block updates within the same chunk (i.e. a tree growing, a rubber tree re-growing it's sap-spot, etc..). These Invalid TE's are also tanking my FPS... so I'm not sure what it is. I did notice that there was a lot of work done with consolidating all of IC2's Tile Entities from multiple blocks / block ID's with Metadata into one Block with NBT to distinguish machines and their properties. I have a feeling it's something regarding that, and maybe its updateEntity() method.

lehjr

2016-05-24 11:35

reporter  

2016-05-14_13.15.25.png (788,320 bytes)

lehjr

2016-05-24 11:37

reporter  

2016-05-24_07.25.41.png (699,873 bytes)

lehjr

2016-05-24 11:42

reporter   ~0004503

Disconnecting and reconnecting doesn't always fix the issue. I've lost 4 machines so far because the invalid status became permanent.


In the 2 attached pics, 2016-05-24_07.25.41.png happened when a rubber tree grew from a sapling. In 2016-05-14_13.15.25.png, this happened when I was taking apart the Simple Fluid Tank. I hate to think what would happen with a nuclear reactor.

oitsjustjose

2016-05-26 12:08

reporter   ~0004504

Oh boy - yeah, I can't imagine with a reactor. I wonder if this issue can be fixed? It's getting to be a serious issue... worlds heavily using IC2 in conjunction with certain other mods might become unplayable. Even for us - on our current world we all live right next to a BoP Alps biome which I'm utilizing for a pretty windmill setup. After wiring stuff all the way down the mountain and over to my house (well over 4 stacks of cables), if a random update triggers this bug in any of the many chunks I have wiring in - RIP FPS :(

estebes

2016-05-27 13:55

developer   ~0004505

Its something hard to fix otherwise it would be fixed by now. The solution might require the re-writing of core classes so we will have to wait and see.

lehjr

2016-05-28 00:01

reporter   ~0004509

Last edited: 2016-05-28 02:53

View 2 revisions

Just had it again. Machines inside the same chunk as a rubber tree sapping went invalid when it grew into a tree while the machines just outside that chunk were fine. Funny thing is though, looking at these blocks with CraftTweaker (/mt block info) I don't see anything that makes them "invalid". In most cases the data seems to persist.

Although it is a major issue, the solution may be as simple as something like a markBlockForUpdate() or markDirty() out of place.

Edit: Tried breaking down the machines with an electric wrench. Lost 2 machines and 3 glass cables. For some reason all the data was cleared and CraftTweaker shows this for the block info. Note that this is the case where the machines become permanently invalid.
[22:45:05] [Client thread/INFO]: [CHAT] Block ID: ic2:te
[22:45:05] [Client thread/INFO]: [CHAT] Meta value: 0

Aroma1997

2016-06-03 19:45

developer   ~0004518

Is anyone still here, who has this bug?

lehjr

2016-06-03 19:53

reporter   ~0004519

yes. Had it yesterday trying to break down a machine with a partially charged electric wrench. Seems the wrench had a small charge, but not enough to break down the machine.

Aroma1997

2016-06-03 20:05

developer   ~0004520

So you know how to reproduce it?

Xiaminou

2016-06-03 20:11

reporter   ~0004521

Have you tried growing a tree in the same chunk as a machine like oitsjustjose suggested?
Also it might be the same problem as this: https://github.com/BluSunrize/ImmersiveEngineering/issues/1115

Aroma1997

2016-06-03 20:14

developer   ~0004522

growing a tree does NOT reproduce it.

lehjr

2016-06-03 20:15

reporter   ~0004523

for the electric wrench, try with a very slight charge, not zero, but not enough to break down the machine. This produces the irreversibly invalid machine block with no data, just an invalid block that shows in Craftweaker as:
[22:45:05] [Client thread/INFO]: [CHAT] Block ID: ic2:te
[22:45:05] [Client thread/INFO]: [CHAT] Meta value: 0

For other cases, an IC2 rubber tree growing in the same chunk from a sappling can cause it. These invalid blocks do usually have the data though and will revert to their normal state. I don't know if their's some combination of factors required to reproduce this. But it isn't just the machine blocks but the cables as well. I've had it happen with different types of cables and powered from difference sources, so that doesn't seem to be a factor.

lehjr

2016-06-03 20:24

reporter   ~0004524

Last edited: 2016-06-03 20:27

View 2 revisions

Maybe instead of trying to reproduce it with a tree, maybe look at what a tree does when it grows. Does it force a chunk update?

Edit:
I'm going to try the latest build and see if I can get it to happen a bit more consistently.

Aroma1997

2016-06-03 20:48

developer   ~0004525

I think, I've tracked it down.

Aroma1997

2016-06-03 21:02

developer   ~0004526

I think, I've fixed it, but feedback would be much appreciated.

lehjr

2016-06-03 22:42

reporter   ~0004527

It seems to be working in the latest build (industrialcraft-2-2.3.258-ex18). I tried the wrench quite a few times as well as planting and harvesting a number of trees. Might be too soon to call it fixed, but I so far I can't reproduce the problem.

oitsjustjose

2016-06-04 02:22

reporter   ~0004528

Seems to be working fine for me as well! :D

Xiaminou

2016-06-05 12:14

reporter   ~0004531

This is NOT fixed in industrialcraft-2-2.3.259-ex18.jar

Aroma1997

2016-06-05 12:45

developer   ~0004532

How did you manage to reproduce it?

Xiaminou

2016-06-05 12:49

reporter   ~0004533

I never managed to reproduce it with Industrialcraft alone (never tried too hard either) if that's what you're looking for. However it's still happening in my modpack. When I turn my wheat farm on it breaks the machines in the same chunk.

Aroma1997

2016-06-05 12:54

developer   ~0004534

what machines in specific?
Just to make sure this is actually the same bug: when reloading the world/ relogging to the server, the invalid blocks are machines again...?

Xiaminou

2016-06-05 12:55

reporter   ~0004535

Same machines (liquid heat exchanger, fermenter, geothermal generator, macerator, canning machines... probably all of IC²'s machines really) and yes relogging still fixes it for about a second.

Aroma1997

2016-06-05 12:56

developer   ~0004536

Will take a look at it.

Xiaminou

2016-06-05 13:04

reporter   ~0004537

Just reproduced it:

1. Place a couple of machines
2. Grow a rubber sapling with bonemeal.

https://youtu.be/HKCLivPwK9Y

emamboo

2016-06-11 20:07

reporter   ~0004549

Hi)
I also have IC2 blocks are sometimes uncertain. I noticed that this happens when a tree grows. In the screenshot - the window grew a tree in the jungle. and blocks IC2 broke...)
http://imgur.com/j6ERklg
Forge 1.9.4 - 12.17.0.1957
industrialcraft-2-2.5.14-ex19
Аfter exiting and re-loading the save blocks 'come back' ... for a while.

Xiaminou

2016-06-13 15:48

reporter   ~0004553

Any updates? because I'm getting this in 1.9.4 too...

Aroma1997

2016-06-13 20:24

developer   ~0004559

I managed to reproduce it, but I don't know where it comes from yet.
Will take a look into it, once I have some free time again.

Aroma1997

2016-06-14 08:48

developer   ~0004560

I think, I just fixed it, can you give feedback with the newest build?

Addle

2016-06-14 09:39

reporter   ~0004562

I was able to reliably reproduce this issue, hence why I ended up here. A couple of machines just across a chunk boundary kept getting this issue as soon as I moved away. Anyway, I tried the industrialcraft-2-2.5.22-ex19.jar build on Jenkins and tried to reproduce it again. I can't.

Also, cables used to, when first placed, be broken texture blocks, which also no longer seems to be happening, which is nice.

From my end, it seems like you managed to fix it, I think. Good job! <3

Be good to hear from others who had this problem if it's fixed for them, and who knows, it could happen again when I least expect it, so other confirmations wouldn't be out of order. But I think you got it.

Xiaminou

2016-06-14 12:01

reporter   ~0004563

10 minutes into my world with my farm running (used to take 10s to bug machines) and no bugs so far.
I think we can safely say this is fixed.
Thank you Aroma!

emamboo

2016-06-14 17:50

reporter   ~0004564

and I have a bug still present(((

https://www.youtube.com/watch?v=6xzPX5UYC20&feature=youtu.be

Chocohead

2016-06-14 18:30

developer   ~0004565

Player reverted the change in 2.5.23, which is why emamboo can reproduce it but the others can't.

Xiaminou

2016-06-14 18:37

reporter   ~0004566

Why did he revert the change?

emamboo

2016-06-14 18:42

reporter   ~0004567

confirm. in 2.5.22 the bug is missing. everything works perfectly.

emamboo

2016-06-15 18:00

reporter   ~0004571

Included 2-2.5.25 now and watch the bug again. Dear developers, whether it is possible fix from version 2-2.5.22 set in the latest version? ...)

4rz0

2016-06-15 21:49

reporter   ~0004572

Build 0000027: looking good, issue doesn't happen anymore where it happened before whenever a tree grew (Forestry farm).

Addle

2016-06-16 00:19

reporter   ~0004573

Seems improved, but I'm still getting magenta/black broken textures and unresponsive machines for the ones that are just across the chunk boundary. Not happening all the time, and seems to occasionally fix itself, but still an issue in build 27. Build 22 had completely eliminated it for me.

Addle

2016-06-16 22:10

reporter   ~0004574

Still an issue in build 29, except now when it breaks, it seems to stay that way.

C0rn3j

2016-06-19 10:35

reporter   ~0004581

industrialcraft-2-2.5.32-ex19 has the bug, will try updating to build 40 and see if it's still there.

C0rn3j

2016-06-19 11:12

reporter   ~0004582

industrialcraft-2-2.5.40-ex19 bug still present, as always reconnecting to the server fixes the issue.
It took growing a single tinker's construct purple slime tree to cause it.

Chocohead

2016-06-23 16:22

developer   ~0004585

Try 2.5.49+

Issue History

Date Modified Username Field Change
2016-04-18 13:15 Xiaminou New Issue
2016-04-18 13:15 Xiaminou File Added: 2016-04-18_15.07.59.png
2016-04-18 13:17 Xiaminou Note Added: 0004461
2016-04-18 13:31 Xiaminou Note Added: 0004462
2016-04-18 13:33 Xiaminou Note Added: 0004463
2016-04-18 13:35 Xiaminou Note Edited: 0004463 View Revisions
2016-04-18 14:26 estebes Note Added: 0004464
2016-04-18 14:30 Xiaminou Note Added: 0004465
2016-04-22 17:59 estebes Relationship added has duplicate 0001860
2016-04-22 17:59 estebes Relationship deleted has duplicate 0001860
2016-04-22 18:00 estebes Relationship added related to 0001860
2016-04-22 18:00 estebes Relationship added related to 0001856
2016-04-22 18:00 estebes Relationship added related to 0001861
2016-04-22 18:01 estebes Relationship added related to 0001844
2016-04-25 06:10 Hunterz Note Added: 0004486
2016-04-30 13:14 Xiaminou Note Added: 0004487
2016-05-07 15:15 oitsjustjose Note Added: 0004490
2016-05-24 11:35 lehjr File Added: 2016-05-14_13.15.25.png
2016-05-24 11:37 lehjr File Added: 2016-05-24_07.25.41.png
2016-05-24 11:42 lehjr Note Added: 0004503
2016-05-26 12:08 oitsjustjose Note Added: 0004504
2016-05-27 13:55 estebes Note Added: 0004505
2016-05-28 00:01 lehjr Note Added: 0004509
2016-05-28 02:53 lehjr Note Edited: 0004509 View Revisions
2016-06-03 19:45 Aroma1997 Note Added: 0004518
2016-06-03 19:45 Aroma1997 Assigned To => Aroma1997
2016-06-03 19:45 Aroma1997 Status new => assigned
2016-06-03 19:53 lehjr Note Added: 0004519
2016-06-03 20:05 Aroma1997 Note Added: 0004520
2016-06-03 20:11 Xiaminou Note Added: 0004521
2016-06-03 20:14 Aroma1997 Note Added: 0004522
2016-06-03 20:15 lehjr Note Added: 0004523
2016-06-03 20:24 lehjr Note Added: 0004524
2016-06-03 20:27 lehjr Note Edited: 0004524 View Revisions
2016-06-03 20:48 Aroma1997 Note Added: 0004525
2016-06-03 21:02 Aroma1997 Note Added: 0004526
2016-06-03 21:02 Aroma1997 Status assigned => feedback
2016-06-03 22:42 lehjr Note Added: 0004527
2016-06-04 02:22 oitsjustjose Note Added: 0004528
2016-06-04 16:14 Aroma1997 Status feedback => resolved
2016-06-04 16:14 Aroma1997 Fixed in Version => Builds for MC 1.8.9
2016-06-04 16:14 Aroma1997 Resolution open => fixed
2016-06-05 12:14 Xiaminou Note Added: 0004531
2016-06-05 12:14 Xiaminou Status resolved => feedback
2016-06-05 12:14 Xiaminou Resolution fixed => reopened
2016-06-05 12:45 Aroma1997 Note Added: 0004532
2016-06-05 12:49 Xiaminou Note Added: 0004533
2016-06-05 12:49 Xiaminou Status feedback => assigned
2016-06-05 12:54 Aroma1997 Note Added: 0004534
2016-06-05 12:55 Xiaminou Note Added: 0004535
2016-06-05 12:56 Aroma1997 Note Added: 0004536
2016-06-05 13:04 Xiaminou Note Added: 0004537
2016-06-11 20:07 emamboo Note Added: 0004549
2016-06-13 15:48 Xiaminou Note Added: 0004553
2016-06-13 20:24 Aroma1997 Note Added: 0004559
2016-06-14 08:48 Aroma1997 Note Added: 0004560
2016-06-14 08:48 Aroma1997 Status assigned => feedback
2016-06-14 09:39 Addle Note Added: 0004562
2016-06-14 12:01 Xiaminou Note Added: 0004563
2016-06-14 12:01 Xiaminou Status feedback => assigned
2016-06-14 17:50 emamboo Note Added: 0004564
2016-06-14 18:30 Chocohead Note Added: 0004565
2016-06-14 18:37 Xiaminou Note Added: 0004566
2016-06-14 18:42 emamboo Note Added: 0004567
2016-06-15 18:00 emamboo Note Added: 0004571
2016-06-15 21:49 4rz0 Note Added: 0004572
2016-06-16 00:19 Addle Note Added: 0004573
2016-06-16 22:10 Addle Note Added: 0004574
2016-06-19 07:49 Aroma1997 Relationship added has duplicate 0001909
2016-06-19 10:35 C0rn3j Note Added: 0004581
2016-06-19 11:12 C0rn3j Note Added: 0004582
2016-06-23 16:22 Chocohead Note Added: 0004585
2016-08-04 16:19 Aroma1997 Status assigned => resolved
2016-08-04 16:19 Aroma1997 Fixed in Version Builds for MC 1.8.9 => Builds for MC 1.9.x
2016-08-04 16:19 Aroma1997 Resolution reopened => fixed